## GtkSourceStyleSchemeChooser GtkSourceStyleSchemeChooser — Interface implemented by widgets for choosing style schemes |

## Functions

GtkSourceStyleScheme * | gtk_source_style_scheme_chooser_get_style_scheme ()
void | gtk_source_style_scheme_chooser_set_style_scheme ()

## Properties

GtkSourceStyleScheme * | style-scheme | Read / Write

## Types and Values

| GtkSourceStyleSchemeChooser

## Object Hierarchy

        GInterface
        ╰── GtkSourceStyleSchemeChooser

## Prerequisites

GtkSourceStyleSchemeChooser requires GObject.

## Known Implementations

GtkSourceStyleSchemeChooser is implemented by GtkSourceStyleSchemeChooserButton and GtkSourceStyleSchemeChooserWidget.

## Includes

    #include <gtksourceview/gtksource.h>

## Description

GtkSourceStyleSchemeChooser is an interface that is implemented by widgets for choosing style schemes.

In GtkSourceView, the main widgets that implement this interface are GtkSourceStyleSchemeChooserWidget and GtkSourceStyleSchemeChooserButton.

## Functions

### gtk_source_style_scheme_chooser_get_style_scheme ()

    GtkSourceStyleScheme *
    gtk_source_style_scheme_chooser_get_style_scheme
                                   (GtkSourceStyleSchemeChooser *chooser);

Gets the currently-selected scheme.

#### Parameters

chooser | a GtkSourceStyleSchemeChooser |

#### Returns

the currently-selected scheme.

[transfer none]

Since: 3.16

### gtk_source_style_scheme_chooser_set_style_scheme ()

    void
    gtk_source_style_scheme_chooser_set_style_scheme
                                   (GtkSourceStyleSchemeChooser *chooser,
                                    GtkSourceStyleScheme *scheme);

Sets the scheme.

#### Parameters

chooser | a GtkSourceStyleSchemeChooser |
scheme | a GtkSourceStyleScheme |

Since: 3.16

## Types and Values

### GtkSourceStyleSchemeChooser

    typedef struct _GtkSourceStyleSchemeChooser GtkSourceStyleSchemeChooser;

## Property Details

### The `“style-scheme”` property

      “style-scheme”             GtkSourceStyleScheme *

The :style-scheme property contains the currently selected style scheme. The property can be set to change the current selection programmatically.

Flags: Read / Write

Since: 3.16

## See Also

GtkSourceStyleSchemeChooserWidget, GtkSourceStyleSchemeChooserButton